Boot failure with saucy kernel 3.11 probing eisa

Bug #1251816 reported by Charles Peters II on 2013-11-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Saucy
High
Joseph Salisbury
Trusty
High
Joseph Salisbury

Bug Description

I have an old laptop that I upgraded to saucy and it will only boot the earlier 3.8 kernel. The 3.11, 3 versions tried including the proposed, hangs on "Platform eisa.0: Probing EISA bus 0"

I also tried the 3.12.0-999 kernel at http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/2013-11-07-saucy/ and it hangs as well.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: linux-generic 3.11.0.14.15
ProcVersionSignature: Ubuntu 3.8.0-32.47-generic 3.8.13.10
Uname: Linux 3.8.0-32-generic i686
ApportVersion: 2.12.5-0ubuntu2.1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: cp 1926 F.... pulseaudio
CRDA:
 country CO:
  (2402 - 2472 @ 40), (3, 27)
  (5170 - 5250 @ 40), (3, 17)
  (5250 - 5330 @ 40), (3, 23), DFS
  (5735 - 5835 @ 40), (3, 30)
CurrentDmesg:
 [ 114.938323] SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
 [ 115.026165] XFS (sdb6): Mounting Filesystem
 [ 119.437397] XFS (sdb6): Ending clean mount
 [ 119.878267] EXT4-fs (sdb1): mounted filesystem with ordered data mode. Opts: (null)
Date: Fri Nov 15 23:18:27 2013
HibernationDevice: RESUME=UUID=33c5f08a-8efc-4eb2-b6ec-497bb57df899
Lsusb:
 Bus 001 Device 002: ID 152d:2338 JMicron Technology Corp. / JMicron USA Technology Corp. JM20337 Hi-Speed USB to SATA & PATA Combo Bridge
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: sag168168 Apollo Pro133AX
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:

ProcKernelCmdLine: root=UUID=5658ed45-be8e-4c39-b0e3-1944d7a303b0 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-32-generic N/A
 linux-backports-modules-3.8.0-32-generic N/A
 linux-firmware 1.116
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
StagingDrivers: zram
UpgradeStatus: Upgraded to saucy on 2013-11-01 (14 days ago)
WpaSupplicantLog:

dmi.bios.date: 10/18/2001
dmi.bios.vendor: Phoenix
dmi.bios.version: 4.06CJ15
dmi.board.name: 694x686a
dmi.board.vendor: VIA
dmi.board.version: None
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenix:bvr4.06CJ15:bd10/18/2001:svnsag168168:pnApolloPro133AX:pvr8500V:rvnVIA:rn694x686a:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
dmi.product.name: Apollo Pro133AX
dmi.product.version: 8500V
dmi.sys.vendor: sag168168

CVE References

Charles Peters II (cp) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.8 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-raring
v3.9 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-saucy
v3.10 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-saucy
v3.11-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc1-saucy/

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: performing-bisect
Changed in linux (Ubuntu):
importance: Medium → High
tags: added: trusty
Charles Peters II (cp) wrote :

The 3.9 kernels work and the 3.10 kernels fail to boot.

In addition to the above kernels you listed, I tried the last 3.9 and the first 3.10 based on the directory date listings at http://kernel.ubuntu.com/~kernel-ppa/mainline/.

Boots OK:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9.11-saucy/

Fails to boot:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc1-saucy/

via686a 0000:00:07.4: base address not set - upgrade BIOS or use force_addr=0xaddr
Reading through https://www.kernel.org/doc/Documentation/hwmon/via686a it is a fan control issue and "Addresses scanned: ISA in PCI-space encoded address". The kernel doc suggests to only try "Example: 'modprobe via686a force_addr=0x6000'" if one can't find an updated BIOS: but doesn't tell me how I find the correct address. The two variable speeds seem to be working OK. I checked the vendors website and emailed Sagar to ask about an updated BIOS.

lshw shows:
          description: BIOS
          vendor: Phoenix
          physical id: 0
          version: 4.06CJ15
          date: 10/18/2001

This is the complete list of what kernels are currently installed.
linux-generic 3.11.0.14.15
linux-headers-3.10.0-031000 3.10.0-031000.201306301935
linux-headers-3.10.0-031000-generic 3.10.0-031000.201306301935
linux-headers-3.10.0-031000rc1 3.10.0-031000rc1.201305130510
linux-headers-3.10.0-031000rc1-generic 3.10.0-031000rc1.201305130510
linux-headers-3.11.0-031100rc1 3.11.0-031100rc1.201307141935
linux-headers-3.11.0-031100rc1-generic 3.11.0-031100rc1.201307141935
linux-headers-3.11.0-13 3.11.0-13.20
linux-headers-3.11.0-13-generic 3.11.0-13.20
linux-headers-3.11.0-14 3.11.0-14.21
linux-headers-3.11.0-14-generic 3.11.0-14.21
linux-headers-3.12.0-999 3.12.0-999.201311070405
linux-headers-3.12.0-999-generic 3.12.0-999.201311070405
linux-headers-3.8.0-030800 3.8.0-030800.201302181935
linux-headers-3.8.0-030800-generic 3.8.0-030800.201302181935
linux-headers-3.9.0-030900 3.9.0-030900.201305071030
linux-headers-3.9.0-030900-generic 3.9.0-030900.201305071030
linux-headers-3.9.11-030911 3.9.11-030911.201307202035
linux-headers-3.9.11-030911-generic 3.9.11-030911.201307202035
linux-headers-generic 3.11.0.14.15
linux-image-2.6.32-52-generic 2.6.32-52.114
linux-image-3.10.0-031000-generic 3.10.0-031000.201306301935
linux-image-3.10.0-031000rc1-generic 3.10.0-031000rc1.201305130510
linux-image-3.11.0-031100rc1-generic 3.11.0-031100rc1.201307141935
linux-image-3.11.0-13-generic 3.11.0-13.20
linux-image-3.11.0-14-generic 3.11.0-14.21
linux-image-3.12.0-999-generic 3.12.0-999.201311070405
linux-image-3.8.0-030800-generic 3.8.0-030800.201302181935
linux-image-3.8.0-32-generic 3.8.0-32.47
linux-image-3.9.0-030900-generic 3.9.0-030900.201305071030
linux-image-3.9.11-030911-generic 3.9.11-030911.201307202035
linux-image-extra-3.11.0-13-generic 3.11.0-13.20
linux-image-extra-3.11.0-14-generic 3.11.0-14.21
linux-image-extra-3.8.0-030800-generic 3.8.0-030800.201302181935
linux-image-extra-3.8.0-32-generic 3.8.0-32.47
linux-image-generic 3.11.0.14.15

Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between v3.9 finald and v3.10-rc1. The kernel bisect will require testing of about 3-5 test kernels.

I built the first test kernel, up to the following commit:
73287a43cc79ca06629a88d1a199cd283f42456a

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

The test kernel fails.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
5d434fcb255dec99189f1c58a06e4f56e12bf77d

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

The kernel has the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
507ffe4f3840ac24890a8123c702cf1b7fe4d33c

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

The kernel has the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
ed34add734e33afa33e7bf5ee5826650efdc0fe8

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

This kernel boots!

Thanks!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
92ddcf4a011a95dac98d3bbb0211a2fa42f13dc1

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

This one has the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
96a3e8af5a54c324535472ca946215d5bafe6539

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

This kernel has the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
916bb6d76dfa49b540baa3f7262792d1de7f1c24

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

cp@kepler:~$ uname -a
Linux kepler 3.9.0-030900-generic #201312121455 SMP Thu Dec 12 20:03:59 UTC 2013 i686 i686 i686 GNU/Linux

This one boots OK!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
a3b6bbd5774c13dab89d72f79976ba762913b2f2

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

3.9.0-030900rc2.201312131341_i386 has the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
30e22b2337be44f4363fa52858d1ca7be6794ee8

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Charles Peters II (cp) wrote :

linux-image-3.9.0-030900rc2-generic_3.9.0-030900rc2.201312161520_i386 has the bug.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
26c0995e6db6a0de55395aeac520ea74c81b82c3

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

linux-image-3.9.0-030900rc2-generic_3.9.0-030900rc2.201312181333_i386 has the bug.

Joseph Salisbury (jsalisbury) wrote :

Sorry for the delay, I was away on holiday.

I built the next test kernel, up to the following commit:
833260631178aa26c70a0b05eabc953f5e47167d

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

I hope you had a good holiday!

This kernel boots.
$ uname -a
Linux kepler 3.9.0-030900rc2-generic #201312201136 SMP Fri Dec 20 16:58:03 UTC 2013 i686 i686 i686 GNU/Linux

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
a2080d0c561c546d73cb8b296d4b7ca414e6860b

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

linux-image-3.9.0-030900rc2-generic_3.9.0-030900rc2.201401071104_i386 has the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
76668257b26957ce2ca815da9e7d7fc740164123

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

This kernel boots.

$ uname -a
Linux kepler 3.9.0-030900rc2-generic #201401081132 SMP Wed Jan 8 16:47:32 UTC 2014 i686 i686 i686 GNU/Linux

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
26abfeed4341872364386c6a52b9acef8c81a81a

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Charles Peters II (cp) wrote :

linux-image-3.9.0-030900rc2-generic_3.9.0-030900rc2.201401091651_i386 has the bug.

Joseph Salisbury (jsalisbury) wrote :

The bisect indicated the following as the first bad commit:

commit 26abfeed4341872364386c6a52b9acef8c81a81a
Author: Bjorn Helgaas <email address hidden>
Date: Mon Apr 15 14:34:02 2013 -0600

    EISA: Initialize device before its resources

I built a Trusty test kernel with this commit reverted.

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and report back if it has the bug or not.

Joseph Salisbury (jsalisbury) wrote :

I just uploaded a i386 version of the kernel:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Charles Peters II (cp) wrote :

This kernel boots.

Thank you!

$ uname -a
Linux kepler 3.13.0-3-generic #18~lp1251816v1 SMP Tue Jan 14 22:20:13 UTC 2014 i686 i686 i686 GNU/Linux

Joseph Salisbury (jsalisbury) wrote :

Thanks so much for the help testing and reporting this issue!

I'll send a message to the commit author to get his feedback. In the mean time, can you also give the latest mainline kernel a test, which is v3.13-rc8:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc8-trusty/

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
Charles Peters II (cp) wrote :

linux-image-3.13.0-031300rc8-generic_3.13.0-031300rc8.201401120535_i386.deb has the bug.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Charles.

Joseph Salisbury (jsalisbury) wrote :

Kernel config for 3.8

Joseph Salisbury (jsalisbury) wrote :

Tar file containing entire config directory.

Bjorn Helgaas (bjorn-helgaas) wrote :

Oops, I screwed up. Please try this patch.

tags: added: patch
Changed in linux (Ubuntu Saucy):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I built one more test kernel, this time with both commits a2080d0c561c546d73cb8b296d4b7ca414e6860b and 26abfeed4341872364386c6a52b9acef8c81a81a reverted, which is the patch in comment #42. The last test kernel only had commit 26abfeed4341872364386c6a52b9acef8c81a81a reverted.

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1251816

Can you test that kernel and confirm that it also fixes the bug and does not introduce any other issues.

Charles Peters II (cp) wrote :

This kernel boots and I didn't notice any other issues!

$ uname -a
Linux kepler 3.13.0-5-generic #20~lp1251816UpstreamRevert SMP Tue Jan 21 21:39:58 UTC 2014 i686 i686 i686 GNU/Linux

Thanks!

Joseph Salisbury (jsalisbury) wrote :

Thanks for all your help testing and reporting this bug, Charles!

This bug was reported upstream[0] and a revert will be done[1]. The revert should land upstream in v3.14. The revert was also cc'd to stable.

I also sent a SRU request to the Ubuntu kernel mailing list to have these commits reverted in Saucy and Trusty while we wait for the fix to come down from upstream.

[0] https://lkml.org/lkml/2014/1/16/388
[1] https://lkml.org/lkml/2014/1/18/62

Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package linux - 3.13.0-6.23

---------------
linux (3.13.0-6.23) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] fix up architecture for linux-tools

linux (3.13.0-6.22) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] limit linux-udebs-<flavour> to matching arch
  * [Config] powerpc -- disable perf to fix FTBFS
  * [Config] ppc64el -- fix up missing udebs

linux (3.13.0-6.21) trusty; urgency=low

  [ Andy Fleming ]

  * SAUCE: net: Add support for handling queueing in hardware
  * SAUCE: of_mdio: Add of_phy_attach function
  * SAUCE: phylib: Add generic 10G driver
  * SAUCE: phylib: Support attaching to gen10g_driver
  * SAUCE: phylib: Add Clause 45 read/write functions

  [ Andy Whitcroft ]

  * SAUCE: fix fmd headers
  * [Packaging] lowlatency -- merge out of tree flavours
  * SAUCE: allow IRQs to be irq-threaded by default via config
  * [Config]: enable CONFIG_IRQ_FORCED_THREADING_DEFAULT for lowlatency
  * [Config] powerpc -- fix up Build-depends:
  * Release Tracking Bug
    - LP: #1273747

  [ Ben Collins ]

  * SAUCE: PPC: PCI: Fix pcibios_io_space_offset() so it works for 32-bit
    ptr/64-bit rsrcs
  * SAUCE: Revert "phy: vitesse make vsc824x_add_skew static"
  * SAUCE: Fixup freescale usb phy driver to work on ppc64
  * SAUCE: xgmac_mdio: Silence read errors
  * SAUCE: Provide booke stub for kvmppc_is_bigendian()
  * SAUCE: Fix stack overflow on ppc32
  * SAUCE: Use resource_size_t instead of long for PCI resource address
  * SAUCE: net/phy: Export function for use by dpaa_eth
  * [Packaging] powerpc -- merge out of tree powerpc arch

  [ Bjorn Helgaas ]

  * SAUCE: Revert "EISA: Log device resources in dmesg"
    - LP: #1251816
  * SAUCE: Revert "EISA: Initialize device before its resources"
    - LP: #1251816

  [ Emil Medve ]

  * SAUCE: phylib: Minimum hack to get the generic 10G PHY driver to work
    with 10G "fixed-link"s

  [ Kumar Gala ]

  * SAUCE: fsl_qbman: Add drivers for Freescale DPAA Qman & Bman
  * SAUCE: fsl_pme2: Add support for DPAA PME
  * SAUCE: fmd: FMD14 integration
  * SAUCE: dpaa_eth: Ethernet driver for Freescale QorIQ DPA Architecture
  * SAUCE: powerpc/85xx: Add DPAA/networking support for CoreNet

  [ Madalin Bucur ]

  * SAUCE: net/flow: remove sleeping and deferral mechanism from
    flow_cache_flush
  * SAUCE: net/phy: abort genphy_read_status when link changes during speed
    and duplex reading

  [ Stefan Bader ]

  * [Config] move some VMWare related modules into main package
    - LP: #1271669

  [ Tim Gardner ]

  * [Config] Add r815x to nic-modules
    - LP: #1273735
  * [Config] CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=y
    - LP: #239479

  [ Upstream Kernel Changes ]

  * mmc: sdhci-pci: break out definitions to header file
    - LP: #1239938
  * mmc: sdhci-pci: add support of O2Micro/BayHubTech SD hosts
    - LP: #1239938
  * powerpc/book3e: rename interrupt_end_book3e with __end_interrupts
  * powerpc/book3e: support CONFIG_RELOCATABLE
  * book3e/kexec/kdump: enable kexec for kernel
  * book3e/kexec/kdump: create a 1:1 TLB mapping
  * book3e/kexec/kdump: introduce a kexec kernel flag
  * book3e/kexec/kdump: implement ppc64 kexec specfic
  * book3e/...

Read more...

Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-saucy' to 'verification-done-saucy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-saucy
Charles Peters II (cp) wrote :

root@kepler:~# uname -a
Linux kepler 3.11.0-18-generic #32-Ubuntu SMP Tue Feb 18 21:13:28 UTC 2014 i686 i686 i686 GNU/Linux

The saucy-proposed kernel fixes the issue.

tags: added: verification-done-saucy
removed: verification-needed-saucy
Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (18.1 KiB)

This bug was fixed in the package linux - 3.11.0-18.32

---------------
linux (3.11.0-18.32) saucy; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1281764

  [ Bjorn Helgaas ]

  * SAUCE: Revert "EISA: Log device resources in dmesg"
    - LP: #1251816
  * SAUCE: Revert "EISA: Initialize device before its resources"
    - LP: #1251816

  [ Upstream Kernel Changes ]

  * Revert "ip6tnl: fix use after free of fb_tnl_dev"
    - LP: #1279399
  * mmc: sdhci-pci: break out definitions to header file
    - LP: #1239938
  * mmc: sdhci-pci: add support of O2Micro/BayHubTech SD hosts
    - LP: #1239938
  * kexec: add sysctl to disable kexec_load
    - LP: #1259570
  * SELinux: Fix kernel BUG on empty security contexts.
    - CVE-2014-1874
  * br: fix use of ->rx_handler_data in code executed on non-rx_handler
    path
    - LP: #1279399
  * arc_emac: fix potential use after free
    - LP: #1279399
  * ipv4: fix tunneled VM traffic over hw VXLAN/GRE GSO NIC
    - LP: #1279399
  * sfc: Add length checks to efx_xmit_with_hwtstamp() and
    efx_ptp_is_ptp_tx()
    - LP: #1279399
  * sfc: PTP: Moderate log message on event queue overflow
    - LP: #1279399
  * sfc: Rate-limit log message for PTP packets without a matching
    timestamp event
    - LP: #1279399
  * sfc: Stop/re-start PTP when stopping/starting the datapath.
    - LP: #1279399
  * sfc: Maintain current frequency adjustment when applying a time offset
    - LP: #1279399
  * dm thin: switch to read-only mode if metadata space is exhausted
    - LP: #1279399
  * dm thin: always fallback the pool mode if commit fails
    - LP: #1279399
  * mm: memcg: fix race condition between memcg teardown and swapin
    - LP: #1279399
  * ARM: dts: exynos5250: Fix MDMA0 clock number
    - LP: #1279399
  * ARM: shmobile: kzm9g: Fix coherent DMA mask
    - LP: #1279399
  * ARM: shmobile: armadillo: Fix coherent DMA mask
    - LP: #1279399
  * ARM: shmobile: mackerel: Fix coherent DMA mask
    - LP: #1279399
  * clk: samsung: exynos4: Correct SRC_MFC register
    - LP: #1279399
  * clk: samsung: exynos5250: Add CLK_IGNORE_UNUSED flag for the sysreg
    clock
    - LP: #1279399
  * clk: exynos5250: fix sysmmu_mfc{l,r} gate clocks
    - LP: #1279399
  * [SCSI] sd: Reduce buffer size for vpd request
    - LP: #1279399
  * netfilter: nf_nat: fix access to uninitialized buffer in IRC NAT helper
    - LP: #1279399
  * writeback: Fix data corruption on NFS
    - LP: #1279399
  * drm/i915: fix DDI PLLs HW state readout code
    - LP: #1279399
  * drm/i915: Don't grab crtc mutexes in intel_modeset_gem_init()
    - LP: #1279399
  * md/raid5: Fix possible confusion when multiple write errors occur.
    - LP: #1279399
  * md/raid10: fix two bugs in handling of known-bad-blocks.
    - LP: #1279399
  * md/raid10: fix bug when raid10 recovery fails to recover a block.
    - LP: #1279399
  * md: fix problem when adding device to read-only array with bitmap.
    - LP: #1279399
  * hwmon: (coretemp) Fix truncated name of alarm attributes
    - LP: #1279399
  * nilfs2: fix segctor bug that causes file system corruption
    - LP: #1279399
  * mm: fix crash when using XFS on loopback
    - LP: #1279399
  * vfs: In d...

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers